// Code generated by MockGen. DO NOT EDIT.
// Source: repository/list-todo-repo.go

// Package repository is a generated GoMock package.
package repository

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/dwi.mahardika/moonlay-test-todo-app/models"
)

// MockTodoRepo is a mock of TodoRepo interface.
type MockTodoRepo struct {
	ctrl     *gomock.Controller
	recorder *MockTodoRepoMockRecorder
}

// MockTodoRepoMockRecorder is the mock recorder for MockTodoRepo.
type MockTodoRepoMockRecorder struct {
	mock *MockTodoRepo
}

// NewMockTodoRepo creates a new mock instance.
func NewMockTodoRepo(ctrl *gomock.Controller) *MockTodoRepo {
	mock := &MockTodoRepo{ctrl: ctrl}
	mock.recorder = &MockTodoRepoMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockTodoRepo) EXPECT() *MockTodoRepoMockRecorder {
	return m.recorder
}

// CountListTodo mocks base method.
func (m *MockTodoRepo) CountListTodo(keyword string, item_per_page, offset int) (int64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CountListTodo", keyword, item_per_page, offset)
	ret0, _ := ret[0].(int64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CountListTodo indicates an expected call of CountListTodo.
func (mr *MockTodoRepoMockRecorder) CountListTodo(keyword, item_per_page, offset interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CountListTodo", reflect.TypeOf((*MockTodoRepo)(nil).CountListTodo), keyword, item_per_page, offset)
}

// CountSubListTodo mocks base method.
func (m *MockTodoRepo) CountSubListTodo(id, keyword string, item_per_page, offset int) (int64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CountSubListTodo", id, keyword, item_per_page, offset)
	ret0, _ := ret[0].(int64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CountSubListTodo indicates an expected call of CountSubListTodo.
func (mr *MockTodoRepoMockRecorder) CountSubListTodo(id, keyword, item_per_page, offset interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CountSubListTodo", reflect.TypeOf((*MockTodoRepo)(nil).CountSubListTodo), id, keyword, item_per_page, offset)
}

// CreateListTodo mocks base method.
func (m *MockTodoRepo) CreateListTodo(req *models.ListTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateListTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateListTodo indicates an expected call of CreateListTodo.
func (mr *MockTodoRepoMockRecorder) CreateListTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateListTodo", reflect.TypeOf((*MockTodoRepo)(nil).CreateListTodo), req)
}

// CreateSublistTodo mocks base method.
func (m *MockTodoRepo) CreateSublistTodo(req *models.SublistTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateSublistTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateSublistTodo indicates an expected call of CreateSublistTodo.
func (mr *MockTodoRepoMockRecorder) CreateSublistTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateSublistTodo", reflect.TypeOf((*MockTodoRepo)(nil).CreateSublistTodo), req)
}

// DeleteListTodo mocks base method.
func (m *MockTodoRepo) DeleteListTodo(req *models.ListTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteListTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteListTodo indicates an expected call of DeleteListTodo.
func (mr *MockTodoRepoMockRecorder) DeleteListTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteListTodo", reflect.TypeOf((*MockTodoRepo)(nil).DeleteListTodo), req)
}

// DeleteSublistTodo mocks base method.
func (m *MockTodoRepo) DeleteSublistTodo(req *models.SublistTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteSublistTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteSublistTodo indicates an expected call of DeleteSublistTodo.
func (mr *MockTodoRepoMockRecorder) DeleteSublistTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteSublistTodo", reflect.TypeOf((*MockTodoRepo)(nil).DeleteSublistTodo), req)
}

// GetDetailListTodo mocks base method.
func (m *MockTodoRepo) GetDetailListTodo(id string) (*models.ListTodo, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDetailListTodo", id)
	ret0, _ := ret[0].(*models.ListTodo)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDetailListTodo indicates an expected call of GetDetailListTodo.
func (mr *MockTodoRepoMockRecorder) GetDetailListTodo(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDetailListTodo", reflect.TypeOf((*MockTodoRepo)(nil).GetDetailListTodo), id)
}

// GetDetailSubListTodo mocks base method.
func (m *MockTodoRepo) GetDetailSubListTodo(id string) (*models.SublistTodo, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDetailSubListTodo", id)
	ret0, _ := ret[0].(*models.SublistTodo)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDetailSubListTodo indicates an expected call of GetDetailSubListTodo.
func (mr *MockTodoRepoMockRecorder) GetDetailSubListTodo(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDetailSubListTodo", reflect.TypeOf((*MockTodoRepo)(nil).GetDetailSubListTodo), id)
}

// SearchListTodo mocks base method.
func (m *MockTodoRepo) SearchListTodo(keyword string, item_per_page, offset int) ([]models.ListTodo, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SearchListTodo", keyword, item_per_page, offset)
	ret0, _ := ret[0].([]models.ListTodo)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// SearchListTodo indicates an expected call of SearchListTodo.
func (mr *MockTodoRepoMockRecorder) SearchListTodo(keyword, item_per_page, offset interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SearchListTodo", reflect.TypeOf((*MockTodoRepo)(nil).SearchListTodo), keyword, item_per_page, offset)
}

// SearchSubListTodo mocks base method.
func (m *MockTodoRepo) SearchSubListTodo(id, keyword string, item_per_page, offset int) ([]models.SublistTodo, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SearchSubListTodo", id, keyword, item_per_page, offset)
	ret0, _ := ret[0].([]models.SublistTodo)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// SearchSubListTodo indicates an expected call of SearchSubListTodo.
func (mr *MockTodoRepoMockRecorder) SearchSubListTodo(id, keyword, item_per_page, offset interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SearchSubListTodo", reflect.TypeOf((*MockTodoRepo)(nil).SearchSubListTodo), id, keyword, item_per_page, offset)
}

// UpdateListTodo mocks base method.
func (m *MockTodoRepo) UpdateListTodo(req *models.ListTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateListTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateListTodo indicates an expected call of UpdateListTodo.
func (mr *MockTodoRepoMockRecorder) UpdateListTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateListTodo", reflect.TypeOf((*MockTodoRepo)(nil).UpdateListTodo), req)
}

// UpdateSublistTodo mocks base method.
func (m *MockTodoRepo) UpdateSublistTodo(req *models.SublistTodo) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateSublistTodo", req)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateSublistTodo indicates an expected call of UpdateSublistTodo.
func (mr *MockTodoRepoMockRecorder) UpdateSublistTodo(req interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateSublistTodo", reflect.TypeOf((*MockTodoRepo)(nil).UpdateSublistTodo), req)
}
